# Interface for submodule: Array
from typing import Union, Any
# additional imports
from .support.template_class import itkTemplate as _itkTemplate


# Interface for class: Array
from ._proxies import ArrayProxy as _ArrayProxy
class _ArrayTemplateGetter():
    def __getitem__(self, parameters) -> _ArrayTemplate:
        """Specify class type with:
            	[INSERT_TYPE_NAMES_HERE]
            :return: ArrayTemplate
            """
        ...


class _ArrayTemplate(_itkTemplate, metaclass=_ArrayTemplateGetter):
    """Interface for instantiating itk::Array< INSERT_TYPE_NAMES_HERE >
        Supports type specification through dictionary access:
            'itk.Array[INSERT_TYPE_NAMES_HERE]()"""

    def __new__(cls, *args: Any) -> _ArrayProxy:
        """Instantiate itk::Array< INSERT_TYPE_NAMES_HERE >"""
        ...

    def __call__(self, *args: Any) -> _ArrayProxy:
        """Instantiate itk::Array< INSERT_TYPE_NAMES_HERE >"""
        ...

Array = _ArrayTemplate

